CREATE TABLE receive_data_log (
       event_id VARCHAR(32) PRIMARY KEY COMMENT '事件流水号',
       process_id VARCHAR(32) NOT NULL COMMENT '传输标记号',
       event_type VARCHAR(100) NOT NULL COMMENT '数据文件内容主业务类型',
       sub_type VARCHAR(50) NOT NULL COMMENT '数据文件内容子业务类型',
       data TEXT COMMENT '数据文件内容',
       ver VARCHAR(10) COMMENT 'API协议版本',
       create_time DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
       update_time DATETIME DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
       is_deleted TINYINT DEFAULT 0 COMMENT '是否删除(0-否 1-是)',
       INDEX idx_process_id (process_id),
       INDEX idx_event_type (event_type),
       INDEX idx_sub_type (sub_type)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='接收数据日志信息表';

CREATE TABLE domestic_pharma_base_info (
    id BIGINT PRIMARY KEY AUTO_INCREMENT COMMENT '主键ID',
    event_id VARCHAR(32) NOT NULL COMMENT '事件流水号',
    tyshxydm VARCHAR(20) NOT NULL COMMENT '统一社会信用代码',
    jnypscqymc VARCHAR(100) NOT NULL COMMENT '生产企业名称',
    jnypscqylx VARCHAR(50) COMMENT '企业类型',
    zsdz VARCHAR(200) COMMENT '注册地址',
    zsdzgjhdq VARCHAR(10) COMMENT '注册地址国家/地区代码',
    zsdzszxszzq VARCHAR(10) COMMENT '注册地址所在行政区',
    zsdzsqzzzm VARCHAR(10) COMMENT '注册地址社区/镇/村',
    zsdzxzzxxjs VARCHAR(10) COMMENT '注册地址乡镇/街道',
    zsdzxzjdbsc VARCHAR(100) COMMENT '注册地址详细街道办/社区',
    zsdzcjlld VARCHAR(100) COMMENT '注册地址村居/路/楼栋',
    zsdzmphm VARCHAR(100) COMMENT '注册地址门牌号码',
    fddbr VARCHAR(50) COMMENT '法定代表人',
    zczb VARCHAR(50) COMMENT '注册资本(万元)',
    clrq DATE COMMENT '成立日期',
    yyqx VARCHAR(50) COMMENT '营业期限',
    jyfw VARCHAR(500) COMMENT '经营范围',
    djjg VARCHAR(200) COMMENT '登记机关',
    gddhhm VARCHAR(20) COMMENT '固定电话号码',
    czhm VARCHAR(20) COMMENT '传真号码',
    dzxx VARCHAR(100) COMMENT '电子信箱',
    qywz VARCHAR(100) COMMENT '企业网址',
    lxr VARCHAR(50) COMMENT '联系人',
    lxdh VARCHAR(20) COMMENT '联系电话',
    zsgps VARCHAR(50) COMMENT 'GPS坐标(经度,纬度)',
    create_time DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    update_time DATETIME DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    is_deleted TINYINT DEFAULT 0 COMMENT '是否删除(0-否 1-是)',
    INDEX idx_jnypscqymc (jnypscqymc),
    INDEX idx_zsdzszxszzq (zsdzszxszzq)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='境内药品生产企业基本信息数据表';