package com.alihealth.d2d.provtest.entity;

import com.alihealth.d2d.provtest.domain.DomesticProducer;
import lombok.Data;

import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Jason
 * @date 2025年05月30日 11:45:00
 */
@XmlRootElement(name = "VTTSBasic")
@XmlAccessorType(XmlAccessType.FIELD)
@Data
public class VTTSBasic<T> {
    @XmlElement(name = "datasetName")
    private String datasetName;

    @XmlElementWrapper(name = "dataset")
    @XmlElement(name = "data")
    private List<T> dataset = new ArrayList<>(); // 必须初始化集合

    // 确保有无参构造器
    public VTTSBasic() {}

    // 添加@XmlSeeAlso指定实现类
    @XmlSeeAlso({
            DomesticProducer.class
    })
    public static class KnownTypes {}
}
