package com.alihealth.d2d.provtest.factory;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Jason 工厂管理类
 * @date 2025年05月29日 15:08:43
 */
public class EntityFactoryManager {

    private static final Map<String, EntityFactory> factoryMap = new HashMap<>();

    static {
        // 注册所有工厂
        registerFactory(new DomesticPharmaBaseInfoFactory());//1011数据
        // 注册更多工厂...
    }

    public static void registerFactory(EntityFactory factory) {
        factoryMap.put(factory.getSupportedSubType(), factory);
    }

    public static EntityFactory getFactory(String subType) {
        EntityFactory factory = factoryMap.get(subType);
        if (factory == null) {
            throw new IllegalArgumentException("不支持的子类型: " + subType);
        }
        return factory;
    }
}
